<?php 
/**
 * if ... elseif ... else ... 2 - if_else_2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2009 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2010-03-02
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Comprobador de múltiplos (Resultado). if ... elseif ... else ... 
  Ejercicios. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color"/>
</head>

<body>
<h1>Comprobador de múltiplos (Resultado)</h1>
<?php
function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? trim(strip_tags($_REQUEST[$var])) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    $tmp = str_replace('&', '&amp;',  $tmp);
    $tmp = str_replace('"', '&quot;', $tmp);
    return $tmp;
}

$numero1   = recoge('numero1');
$numero2   = recoge('numero2');
$numero1Ok = FALSE;
$numero2Ok = FALSE;

if ($numero1=="") {
    print "<p style=\"color: red\">No ha escrito el primer número.</p>\n";
} elseif (!ctype_digit($numero1)) { 
    print "<p style=\"color: red\">No ha escrito el primer número como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($numero1==0) {
    print "<p style=\"color: red\">El primer número es cero.</p>\n";
} elseif ($numero1>=1000) {
    print "<p style=\"color: red\">El primer número no es inferior a 1.000.</p>\n";
} else {
    $numero1Ok = TRUE;
}

if ($numero2=="") {
    print "<p style=\"color: red\">No ha escrito el segundo número.</p>\n";
} elseif (!ctype_digit($numero2)) { 
    print "<p style=\"color: red\">No ha escrito el segundo número como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($numero2==0) {
    print "<p style=\"color: red\">El segundo número es cero.</p>\n";
} elseif ($numero2>=1000) {
    print "<p style=\"color: red\">El segundo número no es inferior a 1.000.</p>\n";
} else {
    $numero2Ok = TRUE;
}
    
if ($numero1Ok && $numero2Ok) {
	$mayor = ($numero1>=$numero2) ? $numero1 : $numero2;
    $menor = ($numero1>=$numero2) ? $numero2 : $numero1;
    print "<p>Número 1: <strong>$numero1</strong></p>\n";
    print "<p>Número 2: <strong>$numero2</strong></p>\n";
    if (($mayor%$menor)==0) {
        print "<p>$mayor es múltiplo de $menor.</p>\n";
    } else {
        print "<p>$mayor <strong>no</strong> es múltiplo de $menor.</p>\n";
    }
}

print "<p><a href=\"if_else_2.html\">Volver al formulario.</a></p>\n";
?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 2 de marzo de 2010
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
